Skip to navigation

Retrieve workspace

Retrieve a workspace.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

workspace_idstringRequired
Unique ID for the workspace.

Response

OK
formsobjectOptional
idstringOptionalRead-only
Unique identifier for the workspace.
namestringOptional
Name of the workspace.
selfobjectOptional
sharedbooleanOptional

If the workspace is shared with a team, true. Otherwise, false.

account_idstringOptionalformat: "ULID"
ID in the ULID format of the account where workspace belongs to.
memberslist of objectsOptional